Bug 252309 - (CVE-2007-4308) CVE-2007-4308 kernel: Missing ioctl() permission checks in aacraid driver
CVE-2007-4308 kernel: Missing ioctl() permission checks in aacraid driver
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,public=20070723,repor...
: Security
Depends On: 298311 298321 298331 298341 298361 298371 298381
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-15 05:43 EDT by Marcel Holtmann
Modified: 2011-09-28 16:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 16:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-08-15 05:43:03 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4308
to the following vulnerability:

The (1) aac_cfg_open and (2) aac_compat_ioctl functions in the SCSI layer ioctl path in aacraid in the Linux kernel before 2.6.23-rc2 do not check permissions for ioctls, which might allow local users to cause a denial of service or gain privileges.

References:

http://kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.23-rc2
http://lkml.org/lkml/2007/7/23/195
http://www.securityfocus.com/bid/25216
http://www.frsirt.com/english/advisories/2007/2786
http://secunia.com/advisories/26322
Comment 5 Kurt Seifried 2011-09-28 16:29:52 EDT
All children bugs have been closed, parent is no longer needed.

Note You need to log in before you can comment on or make changes to this bug.